#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from cmpltmpl.document import document

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1572606353.918911
__CHEETAH_genTimestamp__ = 'Fri Nov  1 12:05:53 2019'
__CHEETAH_src__ = 'templates/wordlist.tmpl'
__CHEETAH_srcLastModified__ = 'Tue Oct 23 16:21:44 2018'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class wordlist(document):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(wordlist, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def title(self, **KWS):



        ## CHEETAH: generated from #def title at line 6, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if False:
            _("Word list")
        _v = VFFSL(SL,"_",False)("Word list") # u'$_("Word list")' on line 7, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Word list")')) # from line 7, col 1.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def headers(self, **KWS):



        ## CHEETAH: generated from #def headers at line 10, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_35990637 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        self._CHEETAH__globalSetVars["url_wlpat"] = VFFSL(SL,"urlquote",False)(VFFSL(SL,"wlpat",True))
        self._CHEETAH__globalSetVars["url_usesubcorp"] = VFFSL(SL,"urlquote",False)(VFFSL(SL,"usesubcorp",True))
        self._CHEETAH__globalSetVars["url_ref_usesubcorp"] = VFFSL(SL,"urlquote",False)(VFFSL(SL,"ref_usesubcorp",True))
        self._CHEETAH__globalSetVars["curr_settings"] = '%s;usesubcorp=%s;wlattr=%s;wlminfreq=%s;wlmaxfreq=%s;wlpat=%s;wlmaxitems=%s;wlsort=%s;ref_corpname=%s;ref_usesubcorp=%s;wlcache=%s;simple_n=%s;wltype=%s;wlnums=%s;include_nonwords=%s;blcache=%s;wlpage=%s;usengrams=%s;ngrams_n=%s;ngrams_max_n=%s;nest_ngrams=%s;complement_subc=%s' % (VFFSL(SL,"corpname_url",True), VFFSL(SL,"url_usesubcorp",True), VFFSL(SL,"wlattr",True), VFFSL(SL,"wlminfreq",True), VFFSL(SL,"wlmaxfreq",True), VFFSL(SL,"url_wlpat",True), VFFSL(SL,"new_maxitems",True), VFFSL(SL,"wlsort",True), VFFSL(SL,"ref_corpname",True), VFFSL(SL,"url_ref_usesubcorp",True), VFFSL(SL,"wlcache",True), VFFSL(SL,"simple_n",True), VFFSL(SL,"wltype",True), VFFSL(SL,"wlnums",True), VFFSL(SL,"include_nonwords",True), VFFSL(SL,"blcache",True), VFFSL(SL,"wlpage",True), VFFSL(SL,"usengrams",True), VFFSL(SL,"ngrams_n",True), VFFSL(SL,"ngrams_max_n",True), VFFSL(SL,"nest_ngrams",True), VFFSL(SL,"complement_subc",True))
        self._CHEETAH__globalSetVars["valid_url"] = 'url' in VFFSL(SL,"wlattr",True)
        _filter = self._CHEETAH__currentFilter = _orig_filter_35990637
        if VFFSL(SL,"processing",True): # generated from line 18, col 1
            write(u'''<script src="''')
            _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 19, col 14
            if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 19, col 14.
            write(u'''/js/jquery.periodic.js" type="text/javascript"></script>
''')
        write(u'''<link rel="stylesheet" type="text/css" href="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 21, col 46
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 21, col 46.
        write(u'''/css/jquery.dataTables.css?version=''')
        _v = VFFSL(SL,"_bonito_version",True) # u'$_bonito_version' on line 21, col 92
        if _v is not None: write(_filter(_v, rawExpr=u'$_bonito_version')) # from line 21, col 92.
        write(u'''" />
<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 22, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 22, col 14.
        write(u'''/js/jquery.dataTables.min.js" type="text/javascript"></script>
<script src="''')
        _v = VFFSL(SL,"files_path",True) # u'$files_path' on line 23, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$files_path')) # from line 23, col 14.
        write(u'''/js/jquery.dataTables.aux.js?version=''')
        _v = VFFSL(SL,"_bonito_version",True) # u'$_bonito_version' on line 23, col 62
        if _v is not None: write(_filter(_v, rawExpr=u'$_bonito_version')) # from line 23, col 62.
        write(u'''" type="text/javascript"></script>
<script type="text/javascript">
jQuery(document).ready(function () {
  if (jQuery(\'table.result.biterms tbody tr\').length) {
    jQuery(\'table.result.biterms\').dataTable({
      \'bPaginate\': true,
      \'bFilter\': false,
      \'bInfo\': true,
      \'bSort\': true,
      \'bLengthChange\': false,
      \'aaSorting\': [[ 2, "desc" ]],
      \'bSearch\': false,
      \'iDisplayLength\': 30,
      \'autoWidth\': false,
      \'aoColumns\': [
        null,
        null,
        {\'sType\': \'numeric\'},
        {\'sType\': \'numeric-html\'},
        {\'sType\': \'numeric-html\'},
        {\'sType\': \'numeric-html\'}
      ],
    });
  }
});
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_options(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_options at line 51, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_77722211 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        if not VFFSL(SL,"getVar",False)('Biterms', False): # generated from line 53, col 3
            write(u'''  <li><a href="wordlist_form?''')
            _v = VFFSL(SL,"curr_settings",True) # u'$curr_settings' on line 54, col 30
            if _v is not None: write(_filter(_v, rawExpr=u'$curr_settings')) # from line 54, col 30.
            write(u'''">''')
            if False:
                _("Change options")
            _v = VFFSL(SL,"_",False)("Change options") # u'$_("Change options")' on line 54, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Change options")')) # from line 54, col 46.
            write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_77722211
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def left_submenu_save(self, **KWS):



        ## CHEETAH: generated from #def left_submenu_save at line 59, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_52633028 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        if VFFSL(SL,"getVar",False)('Biterms', False): # generated from line 61, col 3
            write(u'''  <li>
    <form style="display: none;" action="biterms" id="savebiterms_dialog" title="''')
            if False:
                _("Save candidates")
            _v = VFFSL(SL,"_",False)("Save candidates") # u'$_("Save candidates")' on line 63, col 82
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Save candidates")')) # from line 63, col 82.
            write(u'''">
      <input type="hidden" name="corpname" value="''')
            _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 64, col 51
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 64, col 51.
            write(u'''" />
      <input type="hidden" name="l2_corpname" value="''')
            _v = VFFSL(SL,"l2_corpname",True) # u'$l2_corpname' on line 65, col 54
            if _v is not None: write(_filter(_v, rawExpr=u'$l2_corpname')) # from line 65, col 54.
            write(u'''" />
      ''')
            if False:
                _("Save")
            _v = VFFSL(SL,"_",False)("Save") # u'$_("Save")' on line 66, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Save")')) # from line 66, col 7.
            write(u''' <input value="1000" type="number" min="0" name="limit" style="width: 60px;" /> ''')
            if False:
                _("candidates (0 = all)")
            _v = VFFSL(SL,"_",False)("candidates (0 = all)") # u'$_("candidates (0 = all)")' on line 66, col 97
            if _v is not None: write(_filter(_v, rawExpr=u'$_("candidates (0 = all)")')) # from line 66, col 97.
            write(u'''<br />
      ''')
            if False:
                _("Format")
            _v = VFFSL(SL,"_",False)("Format") # u'$_("Format")' on line 67, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Format")')) # from line 67, col 7.
            write(u''': TBX <input type="radio" value="tbx" name="format" checked="checked" />
                    CSV <input type="radio" value="csv" name="format"/>
                    XLS <input type="radio" value="xls" name="format" />
      <hr />
      <input type="submit" value="''')
            if False:
                _("Save")
            _v = VFFSL(SL,"_",False)("Save") # u'$_("Save")' on line 71, col 35
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Save")')) # from line 71, col 35.
            write(u'''" />
    </form>
    <a title="''')
            if False:
                _("Save bilingual terminology candidates")
            _v = VFFSL(SL,"_",False)("Save bilingual terminology candidates") # u'$_("Save bilingual terminology candidates")' on line 73, col 15
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Save bilingual terminology candidates")')) # from line 73, col 15.
            write(u'''" href="javascript:void(0)"
        onclick="jQuery(\'#savebiterms_dialog\').dialog();">''')
            if False:
                _("Save as ...")
            _v = VFFSL(SL,"_",False)("Save as ...") # u'$_("Save as ...")' on line 74, col 59
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Save as ...")')) # from line 74, col 59.
            write(u'''</a>
  </li>
''')
        else: # generated from line 76, col 3
            write(u'''  <li><a title="''')
            if False:
                _("Save word list/Keywords to CSV/XML")
            _v = VFFSL(SL,"_",False)("Save word list/Keywords to CSV/XML") # u'$_("Save word list/Keywords to CSV/XML")' on line 77, col 17
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Save word list/Keywords to CSV/XML")')) # from line 77, col 17.
            write(u'''" href="savewl_form?''')
            _v = VFFSL(SL,"curr_settings",True) # u'$curr_settings' on line 77, col 77
            if _v is not None: write(_filter(_v, rawExpr=u'$curr_settings')) # from line 77, col 77.
            write(u'''">''')
            if False:
                _("Save")
            _v = VFFSL(SL,"_",False)("Save") # u'$_("Save")' on line 77, col 93
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Save")')) # from line 77, col 93.
            write(u'''</a></li>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_52633028
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def bodyonload(self, **KWS):



        ## CHEETAH: generated from #def bodyonload at line 82, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if VFFSL(SL,"processing",True): # generated from line 83, col 1
            _orig_filter_69670569 = _filter
            filterName = u'WebSafe'
            if self._CHEETAH__filters.has_key("WebSafe"):
                _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
            else:
                _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
            write(u"""check_job_processing('""")
            _v = VFFSL(SL,"jobid",True) # u'$jobid' on line 85, col 23
            if _v is not None: write(_filter(_v, rawExpr=u'$jobid')) # from line 85, col 23.
            write(u"""');
""")
            _filter = self._CHEETAH__currentFilter = _orig_filter_69670569
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def permalink_url(self, **KWS):



        ## CHEETAH: generated from #def permalink_url at line 90, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if not VFFSL(SL,"show_permalink",True): # generated from line 91, col 1
            write(u'''?''')
            _v = VFFSL(SL,"curr_settings",True) # u'$curr_settings' on line 92, col 2
            if _v is not None: write(_filter(_v, rawExpr=u'$curr_settings')) # from line 92, col 2.
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def navigation(self, navid="next", **KWS):



        ## CHEETAH: generated from #block navigation($navid="next") at line 170, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        if (VFFSL(SL,"getVar",False)('Items', '') or VFFSL(SL,"getVar",False)('Keywords', '')) and not (VFFSL(SL,"wlpage",True) == 1 and VFFSL(SL,"lastpage",True)) and not (VFFSL(SL,"usengrams",True) and VFFSL(SL,"nest_ngrams",True)): # generated from line 171, col 1
            write(u'''<div class="bonito-pagination">
<form action="wordlist">
''')
            if VFFSL(SL,"wlpage",True) > 1: # generated from line 174, col 3
                write(u'''    <div class="bonito-pagination-left">
''')
                firstlink_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlpage', 1)
                write(u'''    <a href="wordlist?''')
                _v = VFFSL(SL,"firstlink_sett",True) # u'$firstlink_sett' on line 177, col 23
                if _v is not None: write(_filter(_v, rawExpr=u'$firstlink_sett')) # from line 177, col 23.
                write(u'''">''')
                if False:
                    _("<< First")
                _v = VFFSL(SL,"_",False)("<< First") # u'$_("<< First")' on line 177, col 40
                if _v is not None: write(_filter(_v, rawExpr=u'$_("<< First")')) # from line 177, col 40.
                write(u'''</a> |
''')
                prevlink_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlpage', int(VFFSL(SL,"wlpage",True)) - 1)
                write(u'''    <a href="wordlist?''')
                _v = VFFSL(SL,"prevlink_sett",True) # u'$prevlink_sett' on line 179, col 23
                if _v is not None: write(_filter(_v, rawExpr=u'$prevlink_sett')) # from line 179, col 23.
                write(u'''">''')
                if False:
                    _("< Previous")
                _v = VFFSL(SL,"_",False)("< Previous") # u'$_("< Previous")' on line 179, col 39
                if _v is not None: write(_filter(_v, rawExpr=u'$_("< Previous")')) # from line 179, col 39.
                write(u'''</a>
    </div>
''')
            write(u'''
<div class="bonito-pagination-core">
    <input type="hidden" name="corpname" value=\'''')
            _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 184, col 49
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 184, col 49.
            write(u'''\' />
    <input type="hidden" name="usesubcorp" value=\'''')
            _v = VFFSL(SL,"escape",False)(VFFSL(SL,"usesubcorp",True)) # u'$escape($usesubcorp)' on line 185, col 51
            if _v is not None: write(_filter(_v, rawExpr=u'$escape($usesubcorp)')) # from line 185, col 51.
            write(u'''\' />
    <input type="hidden" name="wlattr" value=\'''')
            _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 186, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 186, col 47.
            write(u'''\' />
    <input type="hidden" name="wlminfreq" value=\'''')
            _v = VFFSL(SL,"wlminfreq",True) # u'$wlminfreq' on line 187, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$wlminfreq')) # from line 187, col 50.
            write(u'''\' />
    <input type="hidden" name="wlpat" value=\'''')
            _v = VFFSL(SL,"wlpat",True) # u'$wlpat' on line 188, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$wlpat')) # from line 188, col 46.
            write(u'''\' />
    <input type="hidden" name="wlmaxitems" value=\'''')
            _v = VFFSL(SL,"new_maxitems",True) # u'$new_maxitems' on line 189, col 51
            if _v is not None: write(_filter(_v, rawExpr=u'$new_maxitems')) # from line 189, col 51.
            write(u'''\' />
    <input type="hidden" name="wlsort" value=\'''')
            _v = VFFSL(SL,"wlsort",True) # u'$wlsort' on line 190, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wlsort')) # from line 190, col 47.
            write(u'''\' />
    <input type="hidden" name="ref_corpname" value=\'''')
            _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 191, col 53
            if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 191, col 53.
            write(u'''\' />
    <input type="hidden" name="ref_usesubcorp" value=\'''')
            _v = VFFSL(SL,"escape",False)(VFFSL(SL,"ref_usesubcorp",True)) # u'$escape($ref_usesubcorp)' on line 192, col 55
            if _v is not None: write(_filter(_v, rawExpr=u'$escape($ref_usesubcorp)')) # from line 192, col 55.
            write(u'''\' />
    <input type="hidden" name="wlcache" value=\'''')
            _v = VFFSL(SL,"wlcache",True) # u'$wlcache' on line 193, col 48
            if _v is not None: write(_filter(_v, rawExpr=u'$wlcache')) # from line 193, col 48.
            write(u'''\' />
    <input type="hidden" name="simple_n" value=\'''')
            _v = VFFSL(SL,"simple_n",True) # u'$simple_n' on line 194, col 49
            if _v is not None: write(_filter(_v, rawExpr=u'$simple_n')) # from line 194, col 49.
            write(u'''\' />
    <input type="hidden" name="wltype" value=\'''')
            _v = VFFSL(SL,"wltype",True) # u'$wltype' on line 195, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wltype')) # from line 195, col 47.
            write(u'''\' />
    <input type="hidden" name="wlnums" value=\'''')
            _v = VFFSL(SL,"wlnums",True) # u'$wlnums' on line 196, col 47
            if _v is not None: write(_filter(_v, rawExpr=u'$wlnums')) # from line 196, col 47.
            write(u'''\' />
    <input type="hidden" name="include_nonwords" value=\'''')
            _v = VFFSL(SL,"include_nonwords",True) # u'$include_nonwords' on line 197, col 57
            if _v is not None: write(_filter(_v, rawExpr=u'$include_nonwords')) # from line 197, col 57.
            write(u'''\' />
    <input type="hidden" name="blcache" value=\'''')
            _v = VFFSL(SL,"blcache",True) # u'$blcache' on line 198, col 48
            if _v is not None: write(_filter(_v, rawExpr=u'$blcache')) # from line 198, col 48.
            write(u'''\' />
    <input type="hidden" name="wlmaxfreq" value=\'''')
            _v = VFFSL(SL,"wlmaxfreq",True) # u'$wlmaxfreq' on line 199, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$wlmaxfreq')) # from line 199, col 50.
            write(u'''\' />
    <input type="hidden" name="usengrams" value=\'''')
            _v = VFFSL(SL,"usengrams",True) # u'$usengrams' on line 200, col 50
            if _v is not None: write(_filter(_v, rawExpr=u'$usengrams')) # from line 200, col 50.
            write(u'''\' />
    <input type="hidden" name="ngrams_n" value=\'''')
            _v = VFFSL(SL,"ngrams_n",True) # u'$ngrams_n' on line 201, col 49
            if _v is not None: write(_filter(_v, rawExpr=u'$ngrams_n')) # from line 201, col 49.
            write(u'''\' />
    <input type="hidden" name="ngrams_max_n" value=\'''')
            _v = VFFSL(SL,"ngrams_max_n",True) # u'$ngrams_max_n' on line 202, col 53
            if _v is not None: write(_filter(_v, rawExpr=u'$ngrams_max_n')) # from line 202, col 53.
            write(u'''\' />
    <input type="hidden" name="nest_ngrams" value=\'''')
            _v = VFFSL(SL,"nest_ngrams",True) # u'$nest_ngrams' on line 203, col 52
            if _v is not None: write(_filter(_v, rawExpr=u'$nest_ngrams')) # from line 203, col 52.
            write(u'''\' />
    <input type="hidden" name="complement_subc" value=\'''')
            _v = VFFSL(SL,"complement_subc",True) # u'$complement_subc' on line 204, col 56
            if _v is not None: write(_filter(_v, rawExpr=u'$complement_subc')) # from line 204, col 56.
            write(u"""' />

  """)
            if False:
                _("Page")
            _v = VFFSL(SL,"_",False)("Page") # u'$_("Page")' on line 206, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Page")')) # from line 206, col 3.
            write(u'''
  <input type="text" name="wlpage" value="''')
            _v = VFFSL(SL,"wlpage",True) # u'$wlpage' on line 207, col 43
            if _v is not None: write(_filter(_v, rawExpr=u'$wlpage')) # from line 207, col 43.
            write(u'''" size="4"
      class="check_input pos_integer"
      data-errtext="''')
            if False:
                _("Page must be a positive integer")
            _v = VFFSL(SL,"_",False)("Page must be a positive integer") # u'$_("Page must be a positive integer")' on line 209, col 21
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Page must be a positive integer")')) # from line 209, col 21.
            write(u'''" />
  <input type="submit" value="''')
            if False:
                _("Go")
            _v = VFFSL(SL,"_",False)("Go") # u'$_("Go")' on line 210, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Go")')) # from line 210, col 31.
            write(u'''" />
</div>

''')
            if not VFFSL(SL,"lastpage",True): # generated from line 213, col 3
                write(u'''  <div class="bonito-pagination-right">
''')
                nextlink_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlpage', int(VFFSL(SL,"wlpage",True)) + 1)
                write(u'''  <a href="wordlist?''')
                _v = VFFSL(SL,"nextlink_sett",True) # u'$nextlink_sett' on line 216, col 21
                if _v is not None: write(_filter(_v, rawExpr=u'$nextlink_sett')) # from line 216, col 21.
                write(u'''" id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 216, col 41
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 216, col 41.
                write(u'''">''')
                if False:
                    _("Next >")
                _v = VFFSL(SL,"_",False)("Next >") # u'$_("Next >")' on line 216, col 49
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Next >")')) # from line 216, col 49.
                write(u'''</a>
  </div>
''')
            else: # generated from line 218, col 3
                write(u'''  <a id="''')
                _v = VFFSL(SL,"navid",True) # u'$navid' on line 219, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$navid')) # from line 219, col 10.
                write(u'''"></a>
''')
            write(u'''</form>
</div> 
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def main(self, **KWS):



        ## CHEETAH: generated from #def main at line 96, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_18672173 = _filter
        filterName = u'WebSafe'
        if self._CHEETAH__filters.has_key("WebSafe"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        if VFFSL(SL,"getVar",False)('Biterms', False): # generated from line 98, col 3
            write(u'''  <h3>''')
            if False:
                _("Bilingual terminology candidates")
            _v = VFFSL(SL,"_",False)("Bilingual terminology candidates") # u'$_("Bilingual terminology candidates")' on line 99, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Bilingual terminology candidates")')) # from line 99, col 7.
            write(u'''
''')
            if VFFSL(SL,"getVar",False)('helpsite', False): # generated from line 100, col 5
                write(u'''      <a href="''')
                _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 101, col 16
                if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 101, col 16.
                write(u'''user-guide/user-manual/bilingual-term-extraction" rel="help"
          target="_blank" title=\'''')
                if False:
                    _("? Help on bilingual terminology extraction")
                _v = VFFSL(SL,"_",False)("? Help on bilingual terminology extraction") # u'$_("? Help on bilingual terminology extraction")' on line 102, col 34
                if _v is not None: write(_filter(_v, rawExpr=u'$_("? Help on bilingual terminology extraction")')) # from line 102, col 34.
                write(u'''\'>
        <i class="fa fa-question-circle"></i>
      </a>
''')
            write(u'''  </h3>
  <p>''')
            if False:
                _("Corpus")
            _v = VFFSL(SL,"_",False)("Corpus") # u'$_("Corpus")' on line 107, col 6
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Corpus")')) # from line 107, col 6.
            write(u''': <b>''')
            _v = VFN(VFFSL(SL,"corpname",True),"split",False)('/')[-1] # u"${corpname.split('/')[-1]}" on line 107, col 23
            if _v is not None: write(_filter(_v, rawExpr=u"${corpname.split('/')[-1]}")) # from line 107, col 23.
            write(u'''</b>,
  ''')
            if False:
                _("aligned corpus")
            _v = VFFSL(SL,"_",False)("aligned corpus") # u'$_("aligned corpus")' on line 108, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$_("aligned corpus")')) # from line 108, col 3.
            write(u''': <b>''')
            _v = VFFSL(SL,"l2_corpname",True) # u'$l2_corpname' on line 108, col 28
            if _v is not None: write(_filter(_v, rawExpr=u'$l2_corpname')) # from line 108, col 28.
            write(u'''</b></p>
''')
        else: # generated from line 109, col 3
            write(u'''  <h3>''')
            if False:
                _("Word list")
            _v = VFFSL(SL,"_",False)("Word list") # u'$_("Word list")' on line 110, col 7
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Word list")')) # from line 110, col 7.
            write(u'''</h3>
  ''')
            if False:
                _("Corpus")
            _v = VFFSL(SL,"_",False)("Corpus") # u'$_("Corpus")' on line 111, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Corpus")')) # from line 111, col 3.
            write(u''': <b>''')
            _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 111, col 20
            if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 111, col 20.
            write(u'''</b>
''')
            if VFFSL(SL,"usesubcorp",True): # generated from line 112, col 3
                write(u'''    <br/>''')
                if False:
                    _("Subcorpus")
                _v = VFFSL(SL,"_",False)("Subcorpus") # u'$_("Subcorpus")' on line 113, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Subcorpus")')) # from line 113, col 10.
                write(u''': <b>''')
                _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 113, col 30
                if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 113, col 30.
                write(u'''
    ''')
                if VFFSL(SL,"complement_subc",True): # generated from line 114, col 5
                    write(u''' ''')
                    if False:
                        _('-- the rest of the corpus')
                    _v = VFFSL(SL,"_",False)('-- the rest of the corpus') # u"$_('-- the rest of the corpus')" on line 114, col 27
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('-- the rest of the corpus')")) # from line 114, col 27.
                    write(u''' ''')
                write(u''' </b>
''')
            if VFFSL(SL,"getVar",False)('total', 0): # generated from line 116, col 3
                write(u'''    <br/>''')
                if False:
                    _("Total number of items")
                _v = VFFSL(SL,"_",False)("Total number of items") # u'$_("Total number of items")' on line 117, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Total number of items")')) # from line 117, col 10.
                write(u''': <b class="add_commas">''')
                _v = VFFSL(SL,"total",True) # u'$total' on line 117, col 61
                if _v is not None: write(_filter(_v, rawExpr=u'$total')) # from line 117, col 61.
                write(u'''</b>
''')
            if VFFSL(SL,"getVar",False)('totalfrq', 0): # generated from line 119, col 3
                write(u'''    <br/>''')
                if False:
                    _("Total frequency")
                _v = VFFSL(SL,"_",False)("Total frequency") # u'$_("Total frequency")' on line 120, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Total frequency")')) # from line 120, col 10.
                write(u''': <b class="add_commas">''')
                _v = VFFSL(SL,"totalfrq",True) # u'$totalfrq' on line 120, col 55
                if _v is not None: write(_filter(_v, rawExpr=u'$totalfrq')) # from line 120, col 55.
                write(u'''</b>
''')
        write(u'''
''')
        if VFFSL(SL,"Keywords",True): # generated from line 124, col 1
            write(u'''  <br/>
  <br/>''')
            if False:
                _("Reference corpus")
            _v = VFFSL(SL,"_",False)("Reference corpus") # u'$_("Reference corpus")' on line 126, col 8
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Reference corpus")')) # from line 126, col 8.
            write(u''':  <b>''')
            _v = VFFSL(SL,"ref_corp_full_name",True) # u'$ref_corp_full_name' on line 126, col 36
            if _v is not None: write(_filter(_v, rawExpr=u'$ref_corp_full_name')) # from line 126, col 36.
            write(u'''</b>
''')
            if VFFSL(SL,"ref_usesubcorp",True): # generated from line 127, col 3
                write(u'''    <br/>''')
                if False:
                    _("Reference subcorpus")
                _v = VFFSL(SL,"_",False)("Reference subcorpus") # u'$_("Reference subcorpus")' on line 128, col 10
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Reference subcorpus")')) # from line 128, col 10.
                write(u''': <b>''')
                _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 128, col 40
                if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 128, col 40.
                write(u'''</b>
''')
            switch_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'corpname', VFFSL(SL,"ref_corpname",True))
            switch_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"switch_sett",True), 'ref_corpname', VFFSL(SL,"corpname",True))
            switch_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"switch_sett",True), 'ref_usesubcorp', VFFSL(SL,"url_usesubcorp",True))
            if VFFSL(SL,"usesubcorp",True) and VFFSL(SL,"complement_subc",True): # generated from line 133, col 3
                switch_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"switch_sett",True), 'complement_subc', '')
                switch_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"switch_sett",True), 'ref_usesubcorp', '== the rest of the corpus ==')
            if VFFSL(SL,"ref_usesubcorp",True) == '== the rest of the corpus ==': # generated from line 137, col 3
                switch_sett = VFFSL(SL,"switch_sett",True) + ';complement_subc=1'
            else: # generated from line 139, col 3
                switch_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"switch_sett",True), 'usesubcorp', VFFSL(SL,"url_ref_usesubcorp",True))
            write(u'''  <br/><a href="wordlist?''')
            _v = VFFSL(SL,"switch_sett",True) # u'$switch_sett' on line 142, col 26
            if _v is not None: write(_filter(_v, rawExpr=u'$switch_sett')) # from line 142, col 26.
            write(u'''">
  ''')
            if False:
                _("Switch focus and reference (sub)corpus")
            _v = VFFSL(SL,"_",False)("Switch focus and reference (sub)corpus") # u'$_("Switch focus and reference (sub)corpus")' on line 143, col 3
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Switch focus and reference (sub)corpus")')) # from line 143, col 3.
            write(u'''</a>
''')
        write(u'''
''')
        if VFFSL(SL,"usengrams",True) and VFFSL(SL,"getVar",False)('corpsize', 1) > 1000000000: # generated from line 146, col 1
            write(u'''<p><em style="color: darkred">''')
            if False:
                _("Results are based only on the first 1 billion tokens.")
            _v = VFFSL(SL,"_",False)("Results are based only on the first 1 billion tokens.") # u'$_("Results are based only on the first 1 billion tokens.")' on line 147, col 31
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Results are based only on the first 1 billion tokens.")')) # from line 147, col 31.
            write(u'''</em></p>
''')
        write(u'''
''')
        if VFFSL(SL,"processing",True): # generated from line 150, col 1
            write(u'''<div id="progress_message">
  <p>''')
            if False:
                _("Some corpora and subcorpora operations need more preprocessing. It will take a while, please wait.")
            _v = VFFSL(SL,"_",False)("Some corpora and subcorpora operations need more preprocessing. It will take a while, please wait.") # u'$_("Some corpora and subcorpora operations need more preprocessing. It will take a while, please wait.")' on line 152, col 6
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Some corpora and subcorpora operations need more preprocessing. It will take a while, please wait.")')) # from line 152, col 6.
            write(u'''</p>
  <p>''')
            if False:
                _("Once the list has been computed, it will be stored, so will be immediately available next time.")
            _v = VFFSL(SL,"_",False)("Once the list has been computed, it will be stored, so will be immediately available next time.") # u'$_("Once the list has been computed, it will be stored, so will be immediately available next time.")' on line 153, col 6
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Once the list has been computed, it will be stored, so will be immediately available next time.")')) # from line 153, col 6.
            write(u'''</p>
  <p>''')
            if False:
                _("You can close this window. Repeating word list or keywords queries on the same (sub)corpus will show you progress of the computation.")
            _v = VFFSL(SL,"_",False)("You can close this window. Repeating word list or keywords queries on the same (sub)corpus will show you progress of the computation.") # u'$_("You can close this window. Repeating word list or keywords queries on the same (sub)corpus will show you progress of the computation.")' on line 154, col 6
            if _v is not None: write(_filter(_v, rawExpr=u'$_("You can close this window. Repeating word list or keywords queries on the same (sub)corpus will show you progress of the computation.")')) # from line 154, col 6.
            write(u'''</p>
  <p>''')
            if False:
                _("You can also get back to this computation through your")
            _v = VFFSL(SL,"_",False)("You can also get back to this computation through your") # u'$_("You can also get back to this computation through your")' on line 155, col 6
            if _v is not None: write(_filter(_v, rawExpr=u'$_("You can also get back to this computation through your")')) # from line 155, col 6.
            write(u""" <a href='jobs?corpname=""")
            _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 155, col 90
            if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 155, col 90.
            write(u"""'>job overview page</a>.</p>
""")
            if VFFSL(SL,"_email",True): # generated from line 156, col 3
                write(u'''    <p><input id="notify" type="checkbox" onclick="add_notification(\'''')
                _v = VFFSL(SL,"jobid",True) # u'$jobid' on line 157, col 70
                if _v is not None: write(_filter(_v, rawExpr=u'$jobid')) # from line 157, col 70.
                write(u"""', '""")
                _v = VFFSL(SL,"_email",True) # u'$_email' on line 157, col 80
                if _v is not None: write(_filter(_v, rawExpr=u'$_email')) # from line 157, col 80.
                write(u'''\')" ''')
                _v = VFFSL(SL,"bgjob_notification",True) # u'$bgjob_notification' on line 157, col 91
                if _v is not None: write(_filter(_v, rawExpr=u'$bgjob_notification')) # from line 157, col 91.
                write(u'''>''')
                if False:
                    _("Notify me by e-mail upon completion")
                _v = VFFSL(SL,"_",False)("Notify me by e-mail upon completion") # u'$_("Notify me by e-mail upon completion")' on line 157, col 111
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Notify me by e-mail upon completion")')) # from line 157, col 111.
                write(u'''</p>
''')
            write(u'''  <p>''')
            if False:
                _("Estimated time to complete:")
            _v = VFFSL(SL,"_",False)("Estimated time to complete:") # u'$_("Estimated time to complete:")' on line 159, col 6
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Estimated time to complete:")')) # from line 159, col 6.
            write(u''' <span id="esttime">''')
            _v = VFFSL(SL,"esttime",True) # u'$esttime' on line 159, col 59
            if _v is not None: write(_filter(_v, rawExpr=u'$esttime')) # from line 159, col 59.
            write(u'''</span></p>
  <div id="progress_scale" style="padding:0">
    <div id="processbar" style="width:''')
            _v = VFFSL(SL,"processing",True) # u'$processing' on line 161, col 39
            if _v is not None: write(_filter(_v, rawExpr=u'$processing')) # from line 161, col 39.
            write(u'''%;"
     data-err-msg="''')
            if False:
                _("The computation has failed. You may contact the developers by sending feedback or try again later. We are sorry for the inconvenience.")
            _v = VFFSL(SL,"_",False)("The computation has failed. You may contact the developers by sending feedback or try again later. We are sorry for the inconvenience.") # u'$_("The computation has failed. You may contact the developers by sending feedback or try again later. We are sorry for the inconvenience.")' on line 162, col 20
            if _v is not None: write(_filter(_v, rawExpr=u'$_("The computation has failed. You may contact the developers by sending feedback or try again later. We are sorry for the inconvenience.")')) # from line 162, col 20.
            write(u'''"
     data-err-msg-short="''')
            if False:
                _("Failed")
            _v = VFFSL(SL,"_",False)("Failed") # u'$_("Failed")' on line 163, col 26
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Failed")')) # from line 163, col 26.
            write(u'''">
    <span id="processper">''')
            _v = VFFSL(SL,"processing",True) # u'$processing' on line 164, col 27
            if _v is not None: write(_filter(_v, rawExpr=u'$processing')) # from line 164, col 27.
            write(u'''%</span>
    </div>
  </div>
</div>
''')
        write(u'''
''')
        self.navigation(trans=trans)
        write(u'''
''')
        if VFFSL(SL,"wlnums",True) == 'docf': # generated from line 226, col 1
            qF = ';q=F' + VFFSL(SL,"doc_struct",True)
        else: # generated from line 228, col 1
            qF = ''
        write(u'''
''')
        if VFFSL(SL,"Items",True): # generated from line 232, col 1
            write(u'''<table class="result numtab">
''')
            if VFFSL(SL,"wlattr",True) == 'ws_collocations': # generated from line 234, col 3
                write(u'''    <thead><tr><th>''')
                if False:
                    _("Word sketch collocations")
                _v = VFFSL(SL,"_",False)("Word sketch collocations") # u'$_("Word sketch collocations")' on line 235, col 20
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Word sketch collocations")')) # from line 235, col 20.
                write(u'''</th><th>''')
                _v = VFFSL(SL,"frtp",True) # u'$frtp' on line 235, col 59
                if _v is not None: write(_filter(_v, rawExpr=u'$frtp')) # from line 235, col 59.
                write(u'''</th><th>''')
                if False:
                    _("Score")
                _v = VFFSL(SL,"_",False)("Score") # u'$_("Score")' on line 235, col 73
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Score")')) # from line 235, col 73.
                write(u'''</th></tr></thead>
''')
            elif VFFSL(SL,"wlattr",True) == 'ws_terms': # generated from line 236, col 3
                write(u'''    <thead><tr><th>''')
                if False:
                    _("Terms")
                _v = VFFSL(SL,"_",False)("Terms") # u'$_("Terms")' on line 237, col 20
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Terms")')) # from line 237, col 20.
                write(u'''</th><th>''')
                _v = VFFSL(SL,"frtp",True) # u'$frtp' on line 237, col 40
                if _v is not None: write(_filter(_v, rawExpr=u'$frtp')) # from line 237, col 40.
                write(u'''</th></tr></thead>
''')
            else: # generated from line 238, col 3
                attrsort_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlsort', '')
                freqsort_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlsort', 'f')
                write(u'''    <thead><tr>
    <th><a href="wordlist?''')
                _v = VFFSL(SL,"attrsort_sett",True) # u'$attrsort_sett' on line 242, col 27
                if _v is not None: write(_filter(_v, rawExpr=u'$attrsort_sett')) # from line 242, col 27.
                write(u'''">''')
                _v = VFFSL(SL,"wlattr_label",True) # u'$wlattr_label' on line 242, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$wlattr_label')) # from line 242, col 43.
                write(u''' ''')
                if VFFSL(SL,"usengrams",True): # generated from line 242, col 57
                    write(u''' (''')
                    if False:
                        _("n-grams")
                    _v = VFFSL(SL,"_",False)("n-grams") # u'$_("n-grams")' on line 242, col 74
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("n-grams")')) # from line 242, col 74.
                    write(u''') ''')
                write(u'''</a></th>
    <th><a href="wordlist?''')
                _v = VFFSL(SL,"freqsort_sett",True) # u'$freqsort_sett' on line 243, col 27
                if _v is not None: write(_filter(_v, rawExpr=u'$freqsort_sett')) # from line 243, col 27.
                write(u'''">''')
                _v = VFFSL(SL,"frtp",True) # u'$frtp' on line 243, col 43
                if _v is not None: write(_filter(_v, rawExpr=u'$frtp')) # from line 243, col 43.
                write(u'''</a></th>
    </tr></thead>
''')
            write(u'''  <tbody>
''')
            for num, i in VFFSL(SL,"enumerate",False)(VFFSL(SL,"Items",True)): # generated from line 247, col 3
                if VFFSL(SL,"usengrams",True) and VFFSL(SL,"nest_ngrams",True) and VFN(VFFSL(SL,"i",True),"get",False)('nested', ''): # generated from line 248, col 5
                    continue
                write(u'''    <tr class="''')
                _v = VFN(VFFSL(SL,"i",True),"get",False)('class') # u"$i.get('class')" on line 251, col 16
                if _v is not None: write(_filter(_v, rawExpr=u"$i.get('class')")) # from line 251, col 16.
                write(u'''" >
''')
                if VFFSL(SL,"wlattr",True) == 'ws_collocations': # generated from line 252, col 5
                    write(u'''      <td class="left">''')
                    _v = VFFSL(SL,"i.w1",True) # u'$i.w1' on line 253, col 24
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.w1')) # from line 253, col 24.
                    write(u''' <sub><span class="note">''')
                    _v = VFFSL(SL,"i.gramrel",True) # u'$i.gramrel' on line 253, col 54
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.gramrel')) # from line 253, col 54.
                    write(u'''</span></sub> ''')
                    _v = VFFSL(SL,"i.w2",True) # u'$i.w2' on line 253, col 78
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.w2')) # from line 253, col 78.
                    write(u'''</td>
      <td><a href="view?q=w''')
                    _v = VFFSL(SL,"i.seek",True) # u'$i.seek' on line 254, col 28
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.seek')) # from line 254, col 28.
                    _v = VFFSL(SL,"qF",True) # u'$qF' on line 254, col 35
                    if _v is not None: write(_filter(_v, rawExpr=u'$qF')) # from line 254, col 35.
                    write(u''';''')
                    _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 254, col 39
                    if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 254, col 39.
                    write(u''';usesubcorp=''')
                    _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 254, col 64
                    if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 254, col 64.
                    write(u'''" class="add_commas">''')
                    _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 254, col 100
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 254, col 100.
                    write(u'''</a></td>
      <td>''')
                    _v = VFFSL(SL,"i.score",True) # u'$i.score' on line 255, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.score')) # from line 255, col 11.
                    write(u'''</td>
''')
                elif VFFSL(SL,"wlattr",True) == 'ws_terms': # generated from line 256, col 5
                    write(u'''      <td class="left">''')
                    _v = VFN(VFFSL(SL,"i.w2",True),"replace",False)('_', ' ') # u"$i.w2.replace('_', ' ')" on line 257, col 24
                    if _v is not None: write(_filter(_v, rawExpr=u"$i.w2.replace('_', ' ')")) # from line 257, col 24.
                    write(u'''</td>
      <td><a href="view?q=t''')
                    _v = VFFSL(SL,"i.seek",True) # u'$i.seek' on line 258, col 28
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.seek')) # from line 258, col 28.
                    _v = VFFSL(SL,"qF",True) # u'$qF' on line 258, col 35
                    if _v is not None: write(_filter(_v, rawExpr=u'$qF')) # from line 258, col 35.
                    write(u''';''')
                    _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 258, col 39
                    if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 258, col 39.
                    write(u''';usesubcorp=''')
                    _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 258, col 64
                    if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 258, col 64.
                    write(u'''" class="add_commas">''')
                    _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 258, col 100
                    if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 258, col 100.
                    write(u'''</a></td>
''')
                else: # generated from line 259, col 5
                    write(u'''      <td class="left">
''')
                    if VFFSL(SL,"valid_url",True): # generated from line 261, col 9
                        if VFN(VFFSL(SL,"i.str",True),"startswith",False)('http'): # generated from line 262, col 11
                            write(u'''            <a href="''')
                            _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 263, col 22
                            if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 263, col 22.
                            write(u'''"
''')
                        else: # generated from line 264, col 11
                            write(u'''            <a href="http://''')
                            _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 265, col 29
                            if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 265, col 29.
                            write(u'''"
''')
                        write(u'''          target="_blank">''')
                        _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 267, col 27
                        if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 267, col 27.
                        write(u'''</a>
''')
                    elif VFFSL(SL,"usengrams",True) and VFFSL(SL,"nest_ngrams",True) and VFN(VFFSL(SL,"i",True),"get",False)('children', []): # generated from line 268, col 9
                        write(u'''          <a onclick="jQuery(\'#ngr''')
                        _v = VFFSL(SL,"num",True) # u'$num' on line 269, col 35
                        if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 269, col 35.
                        write(u'''\').toggle()">
          ''')
                        _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 270, col 11
                        if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 270, col 11.
                        write(u'''
          </a>
          <div id="ngr''')
                        _v = VFFSL(SL,"num",True) # u'$num' on line 272, col 23
                        if _v is not None: write(_filter(_v, rawExpr=u'$num')) # from line 272, col 23.
                        write(u'''" style="display: none"><table>
''')
                        _orig_filter_78464098 = _filter
                        _filter = self._CHEETAH__initialFilter
                        write(u'''            ''')
                        _v = VFFSL(SL,"display_nested_ngram",False)(VFFSL(SL,"i",True), 'view?%s;usesubcorp=%s;q=q%%s%s' % (VFFSL(SL,"corpname_url",True), VFFSL(SL,"url_usesubcorp",True), VFFSL(SL,"qF",True))) # u"$display_nested_ngram($i, 'view?%s;usesubcorp=%s;q=q%%s%s' % ($corpname_url, $url_usesubcorp, $qF))" on line 274, col 13
                        if _v is not None: write(_filter(_v, rawExpr=u"$display_nested_ngram($i, 'view?%s;usesubcorp=%s;q=q%%s%s' % ($corpname_url, $url_usesubcorp, $qF))")) # from line 274, col 13.
                        write(u'''
''')
                        _filter = self._CHEETAH__currentFilter = _orig_filter_78464098
                        write(u'''          </table></div>
''')
                    else: # generated from line 277, col 9
                        write(u'''          ''')
                        _v = VFFSL(SL,"i.str",True) # u'$i.str' on line 278, col 11
                        if _v is not None: write(_filter(_v, rawExpr=u'$i.str')) # from line 278, col 11.
                        write(u'''
''')
                    write(u'''      </td>
      <td>
''')
                    if '.' in VFFSL(SL,"wlattr",True): # generated from line 282, col 7
                        write(u'''        <span class="add_commas">''')
                        _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 283, col 34
                        if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 283, col 34.
                        write(u'''</span>
''')
                    else: # generated from line 284, col 7
                        write(u'''        <a href="view?''')
                        _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 285, col 23
                        if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 285, col 23.
                        write(u''';usesubcorp=''')
                        _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 285, col 48
                        if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 285, col 48.
                        write(u''';q=q''')
                        _v = VFFSL(SL,"i.q",True) # u'$i.q' on line 285, col 67
                        if _v is not None: write(_filter(_v, rawExpr=u'$i.q')) # from line 285, col 67.
                        _v = VFFSL(SL,"qF",True) # u'$qF' on line 285, col 71
                        if _v is not None: write(_filter(_v, rawExpr=u'$qF')) # from line 285, col 71.
                        write(u'''" class="add_commas">''')
                        _v = VFFSL(SL,"i.freq",True) # u'$i.freq' on line 285, col 95
                        if _v is not None: write(_filter(_v, rawExpr=u'$i.freq')) # from line 285, col 95.
                        write(u'''</a>
''')
                    write(u'''      </td>
''')
                write(u'''    </tr>
''')
            write(u'''  </tbody>
</table>
''')
            if VFFSL(SL,"usengrams",True) and VFFSL(SL,"nest_ngrams",True) and VFFSL(SL,"len",False)(VFFSL(SL,"Items",True))+1 >= VFFSL(SL,"wlpage",True) * 1000: # generated from line 293, col 1
                write(u'''  <br/>
  ''')
                if False:
                    _('Displaying first')
                _v = VFFSL(SL,"_",False)('Displaying first') # u"$_('Displaying first')" on line 295, col 3
                if _v is not None: write(_filter(_v, rawExpr=u"$_('Displaying first')")) # from line 295, col 3.
                write(u''' ''')
                _v = VFFSL(SL,"len",False)(VFFSL(SL,"Items",True))+1 # u'${len($Items)+1}' on line 295, col 26
                if _v is not None: write(_filter(_v, rawExpr=u'${len($Items)+1}')) # from line 295, col 26.
                write(u''' ''')
                if False:
                    _('items')
                _v = VFFSL(SL,"_",False)('items') # u"$_('items')" on line 295, col 43
                if _v is not None: write(_filter(_v, rawExpr=u"$_('items')")) # from line 295, col 43.
                write(u'''.
''')
                nextlink_sett = VFFSL(SL,"url_sub",False)(VFFSL(SL,"curr_settings",True), 'wlpage', int(VFFSL(SL,"wlpage",True)) + 1)
                if not VFFSL(SL,"_wordlist_max_size",True) or VFFSL(SL,"_wordlist_max_size",True) > VFFSL(SL,"wlpage",True) * 1000: # generated from line 297, col 3
                    write(u'''    <a href="wordlist?''')
                    _v = VFFSL(SL,"nextlink_sett",True) # u'$nextlink_sett' on line 298, col 23
                    if _v is not None: write(_filter(_v, rawExpr=u'$nextlink_sett')) # from line 298, col 23.
                    write(u'''">''')
                    if False:
                        _('Show more')
                    _v = VFFSL(SL,"_",False)('Show more') # u"$_('Show more')" on line 298, col 39
                    if _v is not None: write(_filter(_v, rawExpr=u"$_('Show more')")) # from line 298, col 39.
                    write(u'''</a>
''')
            write(u'''
''')
            #  keywords
        elif VFFSL(SL,"Keywords",True): # generated from line 303, col 1
            write(u'''<table class="result numtab">
  <thead>
    <tr>
      <th></th>
      <th></th>
      <th colspan="2" border="1"><i>''')
            _v = VFFSL(SL,"corp_full_name",True) # u'$corp_full_name' on line 309, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$corp_full_name')) # from line 309, col 37.
            write(u'''
        ''')
            if VFFSL(SL,"usesubcorp",True): # generated from line 310, col 9
                write(u''' : ''')
                _v = VFFSL(SL,"usesubcorp",True) # u'$usesubcorp' on line 310, col 28
                if _v is not None: write(_filter(_v, rawExpr=u'$usesubcorp')) # from line 310, col 28.
            write(u'''
        ''')
            if VFFSL(SL,"complement_subc",True): # generated from line 311, col 9
                write(u''' ''')
                if False:
                    _('-- the rest of the corpus')
                _v = VFFSL(SL,"_",False)('-- the rest of the corpus') # u"$_('-- the rest of the corpus')" on line 311, col 31
                if _v is not None: write(_filter(_v, rawExpr=u"$_('-- the rest of the corpus')")) # from line 311, col 31.
                write(u''' ''')
            write(u'''
      </i></th>
      <th></th>
      <th colspan="2" border="1"><i>''')
            _v = VFFSL(SL,"ref_corp_full_name",True) # u'$ref_corp_full_name' on line 314, col 37
            if _v is not None: write(_filter(_v, rawExpr=u'$ref_corp_full_name')) # from line 314, col 37.
            if VFFSL(SL,"ref_usesubcorp",True): # generated from line 314, col 56
                write(u''' : ''')
                _v = VFFSL(SL,"ref_usesubcorp",True) # u'$ref_usesubcorp' on line 314, col 79
                if _v is not None: write(_filter(_v, rawExpr=u'$ref_usesubcorp')) # from line 314, col 79.
            write(u'''
      <th></th>
      <th></th>
    </tr>
    <tr>
''')
            if VFFSL(SL,"wlattr",True) == 'ws_terms': # generated from line 319, col 7
                write(u'''        <th>''')
                if False:
                    _("Terms")
                _v = VFFSL(SL,"_",False)("Terms") # u'$_("Terms")' on line 320, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Terms")')) # from line 320, col 13.
                write(u'''</th>
''')
            else: # generated from line 321, col 7
                write(u'''        <th>''')
                _v = VFFSL(SL,"wlattr",True) # u'$wlattr' on line 322, col 13
                if _v is not None: write(_filter(_v, rawExpr=u'$wlattr')) # from line 322, col 13.
                write(u''' ''')
                if VFFSL(SL,"usengrams",True): # generated from line 322, col 21
                    write(u''' (''')
                    _v = VFFSL(SL,"ngrams_n",True) # u'$ngrams_n' on line 322, col 38
                    if _v is not None: write(_filter(_v, rawExpr=u'$ngrams_n')) # from line 322, col 38.
                    if False:
                        _("-grams")
                    _v = VFFSL(SL,"_",False)("-grams") # u'$_("-grams")' on line 322, col 47
                    if _v is not None: write(_filter(_v, rawExpr=u'$_("-grams")')) # from line 322, col 47.
                    write(u''') ''')
                write(u'''</th>
''')
            write(u'''      <th width="10"></th>
      <th>''')
            _v = VFFSL(SL,"frtp",True) # u'$frtp' on line 325, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$frtp')) # from line 325, col 11.
            write(u'''</th>
      <th>''')
            _v = VFFSL(SL,"frtp",True) # u'$frtp' on line 326, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$frtp')) # from line 326, col 11.
            if False:
                _("/mill")
            _v = VFFSL(SL,"_",False)("/mill") # u'$_("/mill")' on line 326, col 16
            if _v is not None: write(_filter(_v, rawExpr=u'$_("/mill")')) # from line 326, col 16.
            write(u'''
''')
            if VFFSL(SL,"getVar",False)('helpsite', False): # generated from line 327, col 7
                write(u'''        <a href="''')
                _v = VFFSL(SL,"helpsite",True) # u'${helpsite}' on line 328, col 18
                if _v is not None: write(_filter(_v, rawExpr=u'${helpsite}')) # from line 328, col 18.
                write(u'''my_keywords/freqmill/" rel="help"
            target="_blank" title=\'''')
                if False:
                    _("? Normalized frequency per million")
                _v = VFFSL(SL,"_",False)("? Normalized frequency per million") # u'$_("? Normalized frequency per million")' on line 329, col 36
                if _v is not None: write(_filter(_v, rawExpr=u'$_("? Normalized frequency per million")')) # from line 329, col 36.
                write(u'''\'>
          <i class="fa fa-question-circle"></i>
        </a>
''')
            write(u'''      </th>
      <th width="10"></th>
      <th>''')
            _v = VFFSL(SL,"frtp",True) # u'$frtp' on line 335, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$frtp')) # from line 335, col 11.
            write(u'''</th>
      <th>''')
            _v = VFFSL(SL,"frtp",True) # u'$frtp' on line 336, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$frtp')) # from line 336, col 11.
            if False:
                _("/mill")
            _v = VFFSL(SL,"_",False)("/mill") # u'$_("/mill")' on line 336, col 16
            if _v is not None: write(_filter(_v, rawExpr=u'$_("/mill")')) # from line 336, col 16.
            write(u'''</th>
      <th width="10"></th>
      <th>''')
            if False:
                _("Score")
            _v = VFFSL(SL,"_",False)("Score") # u'$_("Score")' on line 338, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Score")')) # from line 338, col 11.
            write(u'''</th>
    </tr>
  </thead>
  <tbody>
''')
            for k in VFFSL(SL,"Keywords",True): # generated from line 342, col 3
                write(u'''    <tr
''')
                if VFN(VFFSL(SL,"k",True),"has_key",False)('class'): # generated from line 344, col 5
                    write(u'''      class="''')
                    _v = VFFSL(SL,"k.class",True) # u'$k.class' on line 345, col 14
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.class')) # from line 345, col 14.
                    write(u'''"
''')
                write(u'''    >
''')
                if VFFSL(SL,"wlattr",True) == 'ws_collocations': # generated from line 348, col 5
                    w1, gramrel, w2, seek, seek2 = VFN(VFFSL(SL,"k.str",True),"split",False)('\t')
                    write(u'''      <td class="left">''')
                    _v = VFFSL(SL,"w1",True) # u'$w1' on line 350, col 24
                    if _v is not None: write(_filter(_v, rawExpr=u'$w1')) # from line 350, col 24.
                    write(u''' <sub><span class="note">''')
                    _v = VFFSL(SL,"gramrel",True) # u'$gramrel' on line 350, col 52
                    if _v is not None: write(_filter(_v, rawExpr=u'$gramrel')) # from line 350, col 52.
                    write(u'''</span></sub> ''')
                    _v = VFFSL(SL,"w2",True) # u'$w2' on line 350, col 74
                    if _v is not None: write(_filter(_v, rawExpr=u'$w2')) # from line 350, col 74.
                    write(u'''</td>
      <td></td>
      <td><a href="view?q=w''')
                    _v = VFFSL(SL,"seek",True) # u'$seek' on line 352, col 28
                    if _v is not None: write(_filter(_v, rawExpr=u'$seek')) # from line 352, col 28.
                    _v = VFFSL(SL,"qF",True) # u'$qF' on line 352, col 33
                    if _v is not None: write(_filter(_v, rawExpr=u'$qF')) # from line 352, col 33.
                    write(u''';''')
                    _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 352, col 37
                    if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 352, col 37.
                    write(u''';usesubcorp=''')
                    _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 352, col 62
                    if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 352, col 62.
                    write(u''';complement_subc=''')
                    _v = VFFSL(SL,"complement_subc",True) # u'$complement_subc' on line 352, col 94
                    if _v is not None: write(_filter(_v, rawExpr=u'$complement_subc')) # from line 352, col 94.
                    write(u'''" class="add_commas">''')
                    _v = VFFSL(SL,"k.freq",True) # u'$k.freq' on line 352, col 131
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.freq')) # from line 352, col 131.
                    write(u'''</a></td>
''')
                elif VFFSL(SL,"wlattr",True) == 'ws_terms': # generated from line 353, col 5
                    w1, gramrel, w2, seek, seek2 = VFN(VFFSL(SL,"k.str",True),"split",False)('\t')
                    write(u'''      <td class="left">''')
                    _v = VFN(VFFSL(SL,"w2",True),"replace",False)('_', ' ') # u"$w2.replace('_', ' ')" on line 355, col 24
                    if _v is not None: write(_filter(_v, rawExpr=u"$w2.replace('_', ' ')")) # from line 355, col 24.
                    write(u'''</td>
      <td></td>
      <td><a href="view?q=t''')
                    _v = VFFSL(SL,"seek",True) # u'$seek' on line 357, col 28
                    if _v is not None: write(_filter(_v, rawExpr=u'$seek')) # from line 357, col 28.
                    _v = VFFSL(SL,"qF",True) # u'$qF' on line 357, col 33
                    if _v is not None: write(_filter(_v, rawExpr=u'$qF')) # from line 357, col 33.
                    write(u''';''')
                    _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 357, col 37
                    if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 357, col 37.
                    write(u''';usesubcorp=''')
                    _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 357, col 62
                    if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 357, col 62.
                    write(u''';complement_subc=''')
                    _v = VFFSL(SL,"complement_subc",True) # u'$complement_subc' on line 357, col 94
                    if _v is not None: write(_filter(_v, rawExpr=u'$complement_subc')) # from line 357, col 94.
                    write(u'''" class="add_commas">''')
                    _v = VFFSL(SL,"k.freq",True) # u'$k.freq' on line 357, col 131
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.freq')) # from line 357, col 131.
                    write(u'''</a></td>
''')
                else: # generated from line 358, col 5
                    write(u'''      <td class="left">''')
                    _v = VFFSL(SL,"k.str",True) # u'$k.str' on line 359, col 24
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.str')) # from line 359, col 24.
                    write(u'''</td>
      <td></td>
      <td><a href="view?''')
                    _v = VFFSL(SL,"corpname_url",True) # u'$corpname_url' on line 361, col 25
                    if _v is not None: write(_filter(_v, rawExpr=u'$corpname_url')) # from line 361, col 25.
                    write(u''';usesubcorp=''')
                    _v = VFFSL(SL,"url_usesubcorp",True) # u'$url_usesubcorp' on line 361, col 50
                    if _v is not None: write(_filter(_v, rawExpr=u'$url_usesubcorp')) # from line 361, col 50.
                    write(u''';q=q''')
                    _v = VFFSL(SL,"k.q",True) # u'$k.q' on line 361, col 69
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.q')) # from line 361, col 69.
                    _v = VFFSL(SL,"qF",True) # u'$qF' on line 361, col 73
                    if _v is not None: write(_filter(_v, rawExpr=u'$qF')) # from line 361, col 73.
                    write(u''';complement_subc=''')
                    _v = VFFSL(SL,"complement_subc",True) # u'$complement_subc' on line 361, col 93
                    if _v is not None: write(_filter(_v, rawExpr=u'$complement_subc')) # from line 361, col 93.
                    write(u'''" class="add_commas">''')
                    _v = VFFSL(SL,"k.freq",True) # u'$k.freq' on line 361, col 130
                    if _v is not None: write(_filter(_v, rawExpr=u'$k.freq')) # from line 361, col 130.
                    write(u'''</a></td>
''')
                write(u'''      <td>''')
                _v = VFFSL(SL,"k.rel",True) # u'$k.rel' on line 363, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$k.rel')) # from line 363, col 11.
                write(u'''</td>
      <td></td>
      <td>
''')
                csub = ''
                if VFFSL(SL,"ref_usesubcorp",True) == '== the rest of the corpus ==': # generated from line 367, col 7
                    csub = 'complement_subc=1'
                    url_ref_usesubcorp = VFFSL(SL,"url_usesubcorp",True)
                if VFFSL(SL,"k.freq_ref",True): # generated from line 371, col 7
                    if VFFSL(SL,"wlattr",True) == 'ws_collocations': # generated from line 372, col 9
                        write(u'''          <a href="view?q=w''')
                        _v = VFFSL(SL,"seek2",True) # u'$seek2' on line 373, col 28
                        if _v is not None: write(_filter(_v, rawExpr=u'$seek2')) # from line 373, col 28.
                        _v = VFFSL(SL,"qF",True) # u'$qF' on line 373, col 34
                        if _v is not None: write(_filter(_v, rawExpr=u'$qF')) # from line 373, col 34.
                        write(u''';corpname=''')
                        _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 373, col 47
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 373, col 47.
                        write(u''';usesubcorp=''')
                        _v = VFFSL(SL,"url_ref_usesubcorp",True) # u'$url_ref_usesubcorp' on line 373, col 72
                        if _v is not None: write(_filter(_v, rawExpr=u'$url_ref_usesubcorp')) # from line 373, col 72.
                        write(u''';''')
                        _v = VFFSL(SL,"csub",True) # u'$csub' on line 373, col 92
                        if _v is not None: write(_filter(_v, rawExpr=u'$csub')) # from line 373, col 92.
                        write(u'''" class="add_commas">''')
                        _v = VFFSL(SL,"k.freq_ref",True) # u'$k.freq_ref' on line 373, col 118
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.freq_ref')) # from line 373, col 118.
                        write(u'''</a>
''')
                    elif VFFSL(SL,"wlattr",True) == 'ws_terms': # generated from line 374, col 9
                        write(u'''          <a href="view?q=t''')
                        _v = VFFSL(SL,"seek2",True) # u'$seek2' on line 375, col 28
                        if _v is not None: write(_filter(_v, rawExpr=u'$seek2')) # from line 375, col 28.
                        _v = VFFSL(SL,"qF",True) # u'$qF' on line 375, col 34
                        if _v is not None: write(_filter(_v, rawExpr=u'$qF')) # from line 375, col 34.
                        write(u''';corpname=''')
                        _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 375, col 47
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 375, col 47.
                        write(u''';usesubcorp=''')
                        _v = VFFSL(SL,"url_ref_usesubcorp",True) # u'$url_ref_usesubcorp' on line 375, col 72
                        if _v is not None: write(_filter(_v, rawExpr=u'$url_ref_usesubcorp')) # from line 375, col 72.
                        write(u''';''')
                        _v = VFFSL(SL,"csub",True) # u'$csub' on line 375, col 92
                        if _v is not None: write(_filter(_v, rawExpr=u'$csub')) # from line 375, col 92.
                        write(u'''" class="add_commas">''')
                        _v = VFFSL(SL,"k.freq_ref",True) # u'$k.freq_ref' on line 375, col 118
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.freq_ref')) # from line 375, col 118.
                        write(u'''</a>
''')
                    else: # generated from line 376, col 9
                        write(u'''          <a href="view?corpname=''')
                        _v = VFFSL(SL,"ref_corpname",True) # u'$ref_corpname' on line 377, col 34
                        if _v is not None: write(_filter(_v, rawExpr=u'$ref_corpname')) # from line 377, col 34.
                        write(u''';usesubcorp=''')
                        _v = VFFSL(SL,"url_ref_usesubcorp",True) # u'$url_ref_usesubcorp' on line 377, col 59
                        if _v is not None: write(_filter(_v, rawExpr=u'$url_ref_usesubcorp')) # from line 377, col 59.
                        write(u''';q=q''')
                        _v = VFFSL(SL,"k.q",True) # u'$k.q' on line 377, col 82
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.q')) # from line 377, col 82.
                        _v = VFFSL(SL,"qF",True) # u'$qF' on line 377, col 86
                        if _v is not None: write(_filter(_v, rawExpr=u'$qF')) # from line 377, col 86.
                        write(u''';''')
                        _v = VFFSL(SL,"csub",True) # u'$csub' on line 377, col 90
                        if _v is not None: write(_filter(_v, rawExpr=u'$csub')) # from line 377, col 90.
                        write(u'''" class="add_commas">''')
                        _v = VFFSL(SL,"k.freq_ref",True) # u'$k.freq_ref' on line 377, col 116
                        if _v is not None: write(_filter(_v, rawExpr=u'$k.freq_ref')) # from line 377, col 116.
                        write(u'''</a>
''')
                else: # generated from line 379, col 7
                    write(u'''        0
''')
                write(u'''      </td>
      <td>''')
                _v = VFFSL(SL,"k.rel_ref",True) # u'$k.rel_ref' on line 383, col 11
                if _v is not None: write(_filter(_v, rawExpr=u'$k.rel_ref')) # from line 383, col 11.
                write(u'''</td>
      <td></td>
      <td> ''')
                _v = VFFSL(SL,"k.score",True) # u'$k.score' on line 385, col 12
                if _v is not None: write(_filter(_v, rawExpr=u'$k.score')) # from line 385, col 12.
                write(u'''</td>
    </tr>
''')
            write(u'''  </tbody>
</table>

''')
            # bilingual terms
        elif VFFSL(SL,"getVar",False)('Biterms', False): # generated from line 392, col 1
            write(u'''<table class="result biterms">
  <thead>
    <tr>
      <th title="''')
            if False:
                _("Source language term")
            _v = VFFSL(SL,"_",False)("Source language term") # u'$_("Source language term")' on line 396, col 18
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Source language term")')) # from line 396, col 18.
            write(u'''">''')
            if False:
                _("L1 term")
            _v = VFFSL(SL,"_",False)("L1 term") # u'$_("L1 term")' on line 396, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$_("L1 term")')) # from line 396, col 46.
            write(u'''</th>
      <th title="''')
            if False:
                _("Target language term")
            _v = VFFSL(SL,"_",False)("Target language term") # u'$_("Target language term")' on line 397, col 18
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Target language term")')) # from line 397, col 18.
            write(u'''">''')
            if False:
                _("L2 term")
            _v = VFFSL(SL,"_",False)("L2 term") # u'$_("L2 term")' on line 397, col 46
            if _v is not None: write(_filter(_v, rawExpr=u'$_("L2 term")')) # from line 397, col 46.
            write(u'''</th>
      <th title="''')
            if False:
                _("LogDice")
            _v = VFFSL(SL,"_",False)("LogDice") # u'$_("LogDice")' on line 398, col 18
            if _v is not None: write(_filter(_v, rawExpr=u'$_("LogDice")')) # from line 398, col 18.
            write(u'''">''')
            if False:
                _("Score")
            _v = VFFSL(SL,"_",False)("Score") # u'$_("Score")' on line 398, col 33
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Score")')) # from line 398, col 33.
            write(u'''</th>
      <th title="''')
            if False:
                _("Co-occurrence count")
            _v = VFFSL(SL,"_",False)("Co-occurrence count") # u'$_("Co-occurrence count")' on line 399, col 18
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Co-occurrence count")')) # from line 399, col 18.
            write(u'''">''')
            if False:
                _("Co-freq")
            _v = VFFSL(SL,"_",False)("Co-freq") # u'$_("Co-freq")' on line 399, col 45
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Co-freq")')) # from line 399, col 45.
            write(u'''</th>
      <th title="''')
            if False:
                _("Source language term count")
            _v = VFFSL(SL,"_",False)("Source language term count") # u'$_("Source language term count")' on line 400, col 18
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Source language term count")')) # from line 400, col 18.
            write(u'''">''')
            if False:
                _("L1 freq")
            _v = VFFSL(SL,"_",False)("L1 freq") # u'$_("L1 freq")' on line 400, col 52
            if _v is not None: write(_filter(_v, rawExpr=u'$_("L1 freq")')) # from line 400, col 52.
            write(u'''</th>
      <th title="''')
            if False:
                _("Target language term count")
            _v = VFFSL(SL,"_",False)("Target language term count") # u'$_("Target language term count")' on line 401, col 18
            if _v is not None: write(_filter(_v, rawExpr=u'$_("Target language term count")')) # from line 401, col 18.
            write(u'''">''')
            if False:
                _("L2 freq")
            _v = VFFSL(SL,"_",False)("L2 freq") # u'$_("L2 freq")' on line 401, col 52
            if _v is not None: write(_filter(_v, rawExpr=u'$_("L2 freq")')) # from line 401, col 52.
            write(u'''</th>
    </tr>
  </thead>
  <tbody>
''')
            for item in VFFSL(SL,"Biterms",True): # generated from line 405, col 3
                b = VFFSL(SL,"BitermsDict",True)[VFFSL(SL,"item",True)]
                write(u'''  <tr>
    <td>''')
                _v = VFFSL(SL,"item",True) # u'$item' on line 408, col 9
                if _v is not None: write(_filter(_v, rawExpr=u'$item')) # from line 408, col 9.
                write(u'''</td>
''')
                if len(VFFSL(SL,"b",True)) > 1: # generated from line 409, col 5
                    write(u'''      <td>
        <select>
''')
                    for subitem in VFFSL(SL,"b",True): # generated from line 412, col 11
                        write(u'''          <option value="">''')
                        _v = VFFSL(SL,"subitem",True)[1] # u'$subitem[1]' on line 413, col 28
                        if _v is not None: write(_filter(_v, rawExpr=u'$subitem[1]')) # from line 413, col 28.
                        write(u'''</option>
''')
                    write(u'''        </select>
      </td>
''')
                else: # generated from line 417, col 5
                    write(u'''      <td>''')
                    _v = VFFSL(SL,"b",True)[0][1] # u'$b[0][1]' on line 418, col 11
                    if _v is not None: write(_filter(_v, rawExpr=u'$b[0][1]')) # from line 418, col 11.
                    write(u'''</td>
''')
                write(u'''    <td class="ralign">''')
                _v = VFFSL(SL,"float",False)(VFFSL(SL,"b",True)[0][7]) # u'${float($b[0][7])}' on line 420, col 24
                if _v is not None: write(_filter(_v, rawExpr=u'${float($b[0][7])}')) # from line 420, col 24.
                write(u'''</td>
    <td class="ralign"><a href="view?corpname=''')
                _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 421, col 47
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 421, col 47.
                write(u''';q=q[term(2,''')
                _v = VFFSL(SL,"b",True)[0][5] # u'$b[0][5]' on line 421, col 68
                if _v is not None: write(_filter(_v, rawExpr=u'$b[0][5]')) # from line 421, col 68.
                write(u''')] within ''')
                _v = VFFSL(SL,"l2_corpname",True) # u'$l2_corpname' on line 421, col 86
                if _v is not None: write(_filter(_v, rawExpr=u'$l2_corpname')) # from line 421, col 86.
                write(u''':[term(2,''')
                _v = VFFSL(SL,"b",True)[0][6] # u'$b[0][6]' on line 421, col 107
                if _v is not None: write(_filter(_v, rawExpr=u'$b[0][6]')) # from line 421, col 107.
                write(u''')];align=''')
                _v = VFFSL(SL,"l2_corpname",True) # u'$l2_corpname' on line 421, col 124
                if _v is not None: write(_filter(_v, rawExpr=u'$l2_corpname')) # from line 421, col 124.
                write(u'''">''')
                _v = VFFSL(SL,"b",True)[0][2] # u'$b[0][2]' on line 421, col 138
                if _v is not None: write(_filter(_v, rawExpr=u'$b[0][2]')) # from line 421, col 138.
                write(u'''</a></td>
    <td class="ralign"><a href="view?corpname=''')
                _v = VFFSL(SL,"corpname",True) # u'$corpname' on line 422, col 47
                if _v is not None: write(_filter(_v, rawExpr=u'$corpname')) # from line 422, col 47.
                write(u''';q=t''')
                _v = VFFSL(SL,"b",True)[0][5] # u'$b[0][5]' on line 422, col 60
                if _v is not None: write(_filter(_v, rawExpr=u'$b[0][5]')) # from line 422, col 60.
                write(u'''">''')
                _v = VFFSL(SL,"b",True)[0][3] # u'$b[0][3]' on line 422, col 70
                if _v is not None: write(_filter(_v, rawExpr=u'$b[0][3]')) # from line 422, col 70.
                write(u'''</a></td>
    <td class="ralign"><a href="view?corpname=''')
                _v = VFFSL(SL,"aligned_corpname",True) # u'$aligned_corpname' on line 423, col 47
                if _v is not None: write(_filter(_v, rawExpr=u'$aligned_corpname')) # from line 423, col 47.
                write(u''';q=t''')
                _v = VFFSL(SL,"b",True)[0][6] # u'$b[0][6]' on line 423, col 68
                if _v is not None: write(_filter(_v, rawExpr=u'$b[0][6]')) # from line 423, col 68.
                write(u'''">''')
                _v = VFFSL(SL,"b",True)[0][4] # u'$b[0][4]' on line 423, col 78
                if _v is not None: write(_filter(_v, rawExpr=u'$b[0][4]')) # from line 423, col 78.
                write(u'''</a></td>
  </tr>
''')
            write(u'''  </tbody>
</table>
''')
        else: # generated from line 428, col 1
            #  no keywords && no items
            if not VFFSL(SL,"processing",True): # generated from line 430, col 3
                write(u'''    <p>''')
                if False:
                    _("Nothing found.")
                _v = VFFSL(SL,"_",False)("Nothing found.") # u'$_("Nothing found.")' on line 431, col 8
                if _v is not None: write(_filter(_v, rawExpr=u'$_("Nothing found.")')) # from line 431, col 8.
                write(u'''</p>
''')
        write(u'''
''')
        if VFFSL(SL,"getVar",False)('note', ''): # generated from line 435, col 1
            write(u'''  <br/><i>''')
            _v = VFFSL(SL,"note",True) # u'$note' on line 436, col 11
            if _v is not None: write(_filter(_v, rawExpr=u'$note')) # from line 436, col 11.
            write(u'''</i>
''')
            if VFFSL(SL,"getVar",False)('wordlist_limit_url', ''): # generated from line 437, col 3
                write(u'''    <a href="''')
                _v = VFFSL(SL,"wordlist_limit_url",True) # u'$wordlist_limit_url' on line 438, col 14
                if _v is not None: write(_filter(_v, rawExpr=u'$wordlist_limit_url')) # from line 438, col 14.
                write(u'''" target="_blank">''')
                if False:
                    _("More details")
                _v = VFFSL(SL,"_",False)("More details") # u'$_("More details")' on line 438, col 51
                if _v is not None: write(_filter(_v, rawExpr=u'$_("More details")')) # from line 438, col 51.
                write(u'''</a>
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_18672173
        write(u'''
''')
        _orig_filter_79992029 = _filter
        _filter = self._CHEETAH__initialFilter
        _v = VFFSL(SL,"navigation",False)("next2") # u'$navigation("next2")' on line 444, col 1
        if _v is not None: write(_filter(_v, rawExpr=u'$navigation("next2")')) # from line 444, col 1.
        write(u'''
''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_79992029
        write(u'''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        #  Copyright (c) 2003-2017  Pavel Rychly, Vojtech Kovar, Milos Jakubicek, Milos Husak, Vit Baisa
        write(u'''







''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_wordlist= 'writeBody'

## END CLASS DEFINITION

if not hasattr(wordlist, '_initCheetahAttributes'):
    templateAPIClass = getattr(wordlist, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(wordlist)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=wordlist()).run()


